// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: regulatormodule/regulatormodule.proto

package openfmb.regulatormodule;

/**
 * <pre>
 * Regulator status profile
 * </pre>
 *
 * Protobuf type {@code regulatormodule.RegulatorStatusProfile}
 */
public final class RegulatorStatusProfile extends
    com.google.protobuf.GeneratedMessageV3 implements
    // @@protoc_insertion_point(message_implements:regulatormodule.RegulatorStatusProfile)
    RegulatorStatusProfileOrBuilder {
private static final long serialVersionUID = 0L;
  // Use RegulatorStatusProfile.newBuilder() to construct.
  private RegulatorStatusProfile(com.google.protobuf.GeneratedMessageV3.Builder<?> builder) {
    super(builder);
  }
  private RegulatorStatusProfile() {
  }

  @java.lang.Override
  @SuppressWarnings({"unused"})
  protected java.lang.Object newInstance(
      UnusedPrivateParameter unused) {
    return new RegulatorStatusProfile();
  }

  public static final com.google.protobuf.Descriptors.Descriptor
      getDescriptor() {
    return openfmb.regulatormodule.Regulatormodule.internal_static_regulatormodule_RegulatorStatusProfile_descriptor;
  }

  @java.lang.Override
  protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internalGetFieldAccessorTable() {
    return openfmb.regulatormodule.Regulatormodule.internal_static_regulatormodule_RegulatorStatusProfile_fieldAccessorTable
        .ensureFieldAccessorsInitialized(
            openfmb.regulatormodule.RegulatorStatusProfile.class, openfmb.regulatormodule.RegulatorStatusProfile.Builder.class);
  }

  public static final int STATUSMESSAGEINFO_FIELD_NUMBER = 1;
  private openfmb.commonmodule.StatusMessageInfo statusMessageInfo_;
  /**
   * <pre>
   * UML inherited base object
   * </pre>
   *
   * <code>.commonmodule.StatusMessageInfo statusMessageInfo = 1 [(.uml.option_parent_message) = true];</code>
   * @return Whether the statusMessageInfo field is set.
   */
  @java.lang.Override
  public boolean hasStatusMessageInfo() {
    return statusMessageInfo_ != null;
  }
  /**
   * <pre>
   * UML inherited base object
   * </pre>
   *
   * <code>.commonmodule.StatusMessageInfo statusMessageInfo = 1 [(.uml.option_parent_message) = true];</code>
   * @return The statusMessageInfo.
   */
  @java.lang.Override
  public openfmb.commonmodule.StatusMessageInfo getStatusMessageInfo() {
    return statusMessageInfo_ == null ? openfmb.commonmodule.StatusMessageInfo.getDefaultInstance() : statusMessageInfo_;
  }
  /**
   * <pre>
   * UML inherited base object
   * </pre>
   *
   * <code>.commonmodule.StatusMessageInfo statusMessageInfo = 1 [(.uml.option_parent_message) = true];</code>
   */
  @java.lang.Override
  public openfmb.commonmodule.StatusMessageInfoOrBuilder getStatusMessageInfoOrBuilder() {
    return statusMessageInfo_ == null ? openfmb.commonmodule.StatusMessageInfo.getDefaultInstance() : statusMessageInfo_;
  }

  public static final int REGULATORSTATUS_FIELD_NUMBER = 2;
  private openfmb.regulatormodule.RegulatorStatus regulatorStatus_;
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.regulatormodule.RegulatorStatus regulatorStatus = 2 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   * @return Whether the regulatorStatus field is set.
   */
  @java.lang.Override
  public boolean hasRegulatorStatus() {
    return regulatorStatus_ != null;
  }
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.regulatormodule.RegulatorStatus regulatorStatus = 2 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   * @return The regulatorStatus.
   */
  @java.lang.Override
  public openfmb.regulatormodule.RegulatorStatus getRegulatorStatus() {
    return regulatorStatus_ == null ? openfmb.regulatormodule.RegulatorStatus.getDefaultInstance() : regulatorStatus_;
  }
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.regulatormodule.RegulatorStatus regulatorStatus = 2 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   */
  @java.lang.Override
  public openfmb.regulatormodule.RegulatorStatusOrBuilder getRegulatorStatusOrBuilder() {
    return regulatorStatus_ == null ? openfmb.regulatormodule.RegulatorStatus.getDefaultInstance() : regulatorStatus_;
  }

  public static final int REGULATORSYSTEM_FIELD_NUMBER = 3;
  private openfmb.regulatormodule.RegulatorSystem regulatorSystem_;
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.regulatormodule.RegulatorSystem regulatorSystem = 3 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   * @return Whether the regulatorSystem field is set.
   */
  @java.lang.Override
  public boolean hasRegulatorSystem() {
    return regulatorSystem_ != null;
  }
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.regulatormodule.RegulatorSystem regulatorSystem = 3 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   * @return The regulatorSystem.
   */
  @java.lang.Override
  public openfmb.regulatormodule.RegulatorSystem getRegulatorSystem() {
    return regulatorSystem_ == null ? openfmb.regulatormodule.RegulatorSystem.getDefaultInstance() : regulatorSystem_;
  }
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.regulatormodule.RegulatorSystem regulatorSystem = 3 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   */
  @java.lang.Override
  public openfmb.regulatormodule.RegulatorSystemOrBuilder getRegulatorSystemOrBuilder() {
    return regulatorSystem_ == null ? openfmb.regulatormodule.RegulatorSystem.getDefaultInstance() : regulatorSystem_;
  }

  private byte memoizedIsInitialized = -1;
  @java.lang.Override
  public final boolean isInitialized() {
    byte isInitialized = memoizedIsInitialized;
    if (isInitialized == 1) return true;
    if (isInitialized == 0) return false;

    memoizedIsInitialized = 1;
    return true;
  }

  @java.lang.Override
  public void writeTo(com.google.protobuf.CodedOutputStream output)
                      throws java.io.IOException {
    if (statusMessageInfo_ != null) {
      output.writeMessage(1, getStatusMessageInfo());
    }
    if (regulatorStatus_ != null) {
      output.writeMessage(2, getRegulatorStatus());
    }
    if (regulatorSystem_ != null) {
      output.writeMessage(3, getRegulatorSystem());
    }
    getUnknownFields().writeTo(output);
  }

  @java.lang.Override
  public int getSerializedSize() {
    int size = memoizedSize;
    if (size != -1) return size;

    size = 0;
    if (statusMessageInfo_ != null) {
      size += com.google.protobuf.CodedOutputStream
        .computeMessageSize(1, getStatusMessageInfo());
    }
    if (regulatorStatus_ != null) {
      size += com.google.protobuf.CodedOutputStream
        .computeMessageSize(2, getRegulatorStatus());
    }
    if (regulatorSystem_ != null) {
      size += com.google.protobuf.CodedOutputStream
        .computeMessageSize(3, getRegulatorSystem());
    }
    size += getUnknownFields().getSerializedSize();
    memoizedSize = size;
    return size;
  }

  @java.lang.Override
  public boolean equals(final java.lang.Object obj) {
    if (obj == this) {
     return true;
    }
    if (!(obj instanceof openfmb.regulatormodule.RegulatorStatusProfile)) {
      return super.equals(obj);
    }
    openfmb.regulatormodule.RegulatorStatusProfile other = (openfmb.regulatormodule.RegulatorStatusProfile) obj;

    if (hasStatusMessageInfo() != other.hasStatusMessageInfo()) return false;
    if (hasStatusMessageInfo()) {
      if (!getStatusMessageInfo()
          .equals(other.getStatusMessageInfo())) return false;
    }
    if (hasRegulatorStatus() != other.hasRegulatorStatus()) return false;
    if (hasRegulatorStatus()) {
      if (!getRegulatorStatus()
          .equals(other.getRegulatorStatus())) return false;
    }
    if (hasRegulatorSystem() != other.hasRegulatorSystem()) return false;
    if (hasRegulatorSystem()) {
      if (!getRegulatorSystem()
          .equals(other.getRegulatorSystem())) return false;
    }
    if (!getUnknownFields().equals(other.getUnknownFields())) return false;
    return true;
  }

  @java.lang.Override
  public int hashCode() {
    if (memoizedHashCode != 0) {
      return memoizedHashCode;
    }
    int hash = 41;
    hash = (19 * hash) + getDescriptor().hashCode();
    if (hasStatusMessageInfo()) {
      hash = (37 * hash) + STATUSMESSAGEINFO_FIELD_NUMBER;
      hash = (53 * hash) + getStatusMessageInfo().hashCode();
    }
    if (hasRegulatorStatus()) {
      hash = (37 * hash) + REGULATORSTATUS_FIELD_NUMBER;
      hash = (53 * hash) + getRegulatorStatus().hashCode();
    }
    if (hasRegulatorSystem()) {
      hash = (37 * hash) + REGULATORSYSTEM_FIELD_NUMBER;
      hash = (53 * hash) + getRegulatorSystem().hashCode();
    }
    hash = (29 * hash) + getUnknownFields().hashCode();
    memoizedHashCode = hash;
    return hash;
  }

  public static openfmb.regulatormodule.RegulatorStatusProfile parseFrom(
      java.nio.ByteBuffer data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data);
  }
  public static openfmb.regulatormodule.RegulatorStatusProfile parseFrom(
      java.nio.ByteBuffer data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data, extensionRegistry);
  }
  public static openfmb.regulatormodule.RegulatorStatusProfile parseFrom(
      com.google.protobuf.ByteString data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data);
  }
  public static openfmb.regulatormodule.RegulatorStatusProfile parseFrom(
      com.google.protobuf.ByteString data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data, extensionRegistry);
  }
  public static openfmb.regulatormodule.RegulatorStatusProfile parseFrom(byte[] data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data);
  }
  public static openfmb.regulatormodule.RegulatorStatusProfile parseFrom(
      byte[] data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data, extensionRegistry);
  }
  public static openfmb.regulatormodule.RegulatorStatusProfile parseFrom(java.io.InputStream input)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseWithIOException(PARSER, input);
  }
  public static openfmb.regulatormodule.RegulatorStatusProfile parseFrom(
      java.io.InputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseWithIOException(PARSER, input, extensionRegistry);
  }
  public static openfmb.regulatormodule.RegulatorStatusProfile parseDelimitedFrom(java.io.InputStream input)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseDelimitedWithIOException(PARSER, input);
  }
  public static openfmb.regulatormodule.RegulatorStatusProfile parseDelimitedFrom(
      java.io.InputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseDelimitedWithIOException(PARSER, input, extensionRegistry);
  }
  public static openfmb.regulatormodule.RegulatorStatusProfile parseFrom(
      com.google.protobuf.CodedInputStream input)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseWithIOException(PARSER, input);
  }
  public static openfmb.regulatormodule.RegulatorStatusProfile parseFrom(
      com.google.protobuf.CodedInputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseWithIOException(PARSER, input, extensionRegistry);
  }

  @java.lang.Override
  public Builder newBuilderForType() { return newBuilder(); }
  public static Builder newBuilder() {
    return DEFAULT_INSTANCE.toBuilder();
  }
  public static Builder newBuilder(openfmb.regulatormodule.RegulatorStatusProfile prototype) {
    return DEFAULT_INSTANCE.toBuilder().mergeFrom(prototype);
  }
  @java.lang.Override
  public Builder toBuilder() {
    return this == DEFAULT_INSTANCE
        ? new Builder() : new Builder().mergeFrom(this);
  }

  @java.lang.Override
  protected Builder newBuilderForType(
      com.google.protobuf.GeneratedMessageV3.BuilderParent parent) {
    Builder builder = new Builder(parent);
    return builder;
  }
  /**
   * <pre>
   * Regulator status profile
   * </pre>
   *
   * Protobuf type {@code regulatormodule.RegulatorStatusProfile}
   */
  public static final class Builder extends
      com.google.protobuf.GeneratedMessageV3.Builder<Builder> implements
      // @@protoc_insertion_point(builder_implements:regulatormodule.RegulatorStatusProfile)
      openfmb.regulatormodule.RegulatorStatusProfileOrBuilder {
    public static final com.google.protobuf.Descriptors.Descriptor
        getDescriptor() {
      return openfmb.regulatormodule.Regulatormodule.internal_static_regulatormodule_RegulatorStatusProfile_descriptor;
    }

    @java.lang.Override
    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
        internalGetFieldAccessorTable() {
      return openfmb.regulatormodule.Regulatormodule.internal_static_regulatormodule_RegulatorStatusProfile_fieldAccessorTable
          .ensureFieldAccessorsInitialized(
              openfmb.regulatormodule.RegulatorStatusProfile.class, openfmb.regulatormodule.RegulatorStatusProfile.Builder.class);
    }

    // Construct using openfmb.regulatormodule.RegulatorStatusProfile.newBuilder()
    private Builder() {

    }

    private Builder(
        com.google.protobuf.GeneratedMessageV3.BuilderParent parent) {
      super(parent);

    }
    @java.lang.Override
    public Builder clear() {
      super.clear();
      bitField0_ = 0;
      statusMessageInfo_ = null;
      if (statusMessageInfoBuilder_ != null) {
        statusMessageInfoBuilder_.dispose();
        statusMessageInfoBuilder_ = null;
      }
      regulatorStatus_ = null;
      if (regulatorStatusBuilder_ != null) {
        regulatorStatusBuilder_.dispose();
        regulatorStatusBuilder_ = null;
      }
      regulatorSystem_ = null;
      if (regulatorSystemBuilder_ != null) {
        regulatorSystemBuilder_.dispose();
        regulatorSystemBuilder_ = null;
      }
      return this;
    }

    @java.lang.Override
    public com.google.protobuf.Descriptors.Descriptor
        getDescriptorForType() {
      return openfmb.regulatormodule.Regulatormodule.internal_static_regulatormodule_RegulatorStatusProfile_descriptor;
    }

    @java.lang.Override
    public openfmb.regulatormodule.RegulatorStatusProfile getDefaultInstanceForType() {
      return openfmb.regulatormodule.RegulatorStatusProfile.getDefaultInstance();
    }

    @java.lang.Override
    public openfmb.regulatormodule.RegulatorStatusProfile build() {
      openfmb.regulatormodule.RegulatorStatusProfile result = buildPartial();
      if (!result.isInitialized()) {
        throw newUninitializedMessageException(result);
      }
      return result;
    }

    @java.lang.Override
    public openfmb.regulatormodule.RegulatorStatusProfile buildPartial() {
      openfmb.regulatormodule.RegulatorStatusProfile result = new openfmb.regulatormodule.RegulatorStatusProfile(this);
      if (bitField0_ != 0) { buildPartial0(result); }
      onBuilt();
      return result;
    }

    private void buildPartial0(openfmb.regulatormodule.RegulatorStatusProfile result) {
      int from_bitField0_ = bitField0_;
      if (((from_bitField0_ & 0x00000001) != 0)) {
        result.statusMessageInfo_ = statusMessageInfoBuilder_ == null
            ? statusMessageInfo_
            : statusMessageInfoBuilder_.build();
      }
      if (((from_bitField0_ & 0x00000002) != 0)) {
        result.regulatorStatus_ = regulatorStatusBuilder_ == null
            ? regulatorStatus_
            : regulatorStatusBuilder_.build();
      }
      if (((from_bitField0_ & 0x00000004) != 0)) {
        result.regulatorSystem_ = regulatorSystemBuilder_ == null
            ? regulatorSystem_
            : regulatorSystemBuilder_.build();
      }
    }

    @java.lang.Override
    public Builder mergeFrom(com.google.protobuf.Message other) {
      if (other instanceof openfmb.regulatormodule.RegulatorStatusProfile) {
        return mergeFrom((openfmb.regulatormodule.RegulatorStatusProfile)other);
      } else {
        super.mergeFrom(other);
        return this;
      }
    }

    public Builder mergeFrom(openfmb.regulatormodule.RegulatorStatusProfile other) {
      if (other == openfmb.regulatormodule.RegulatorStatusProfile.getDefaultInstance()) return this;
      if (other.hasStatusMessageInfo()) {
        mergeStatusMessageInfo(other.getStatusMessageInfo());
      }
      if (other.hasRegulatorStatus()) {
        mergeRegulatorStatus(other.getRegulatorStatus());
      }
      if (other.hasRegulatorSystem()) {
        mergeRegulatorSystem(other.getRegulatorSystem());
      }
      this.mergeUnknownFields(other.getUnknownFields());
      onChanged();
      return this;
    }

    @java.lang.Override
    public final boolean isInitialized() {
      return true;
    }

    @java.lang.Override
    public Builder mergeFrom(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      if (extensionRegistry == null) {
        throw new java.lang.NullPointerException();
      }
      try {
        boolean done = false;
        while (!done) {
          int tag = input.readTag();
          switch (tag) {
            case 0:
              done = true;
              break;
            case 10: {
              input.readMessage(
                  getStatusMessageInfoFieldBuilder().getBuilder(),
                  extensionRegistry);
              bitField0_ |= 0x00000001;
              break;
            } // case 10
            case 18: {
              input.readMessage(
                  getRegulatorStatusFieldBuilder().getBuilder(),
                  extensionRegistry);
              bitField0_ |= 0x00000002;
              break;
            } // case 18
            case 26: {
              input.readMessage(
                  getRegulatorSystemFieldBuilder().getBuilder(),
                  extensionRegistry);
              bitField0_ |= 0x00000004;
              break;
            } // case 26
            default: {
              if (!super.parseUnknownField(input, extensionRegistry, tag)) {
                done = true; // was an endgroup tag
              }
              break;
            } // default:
          } // switch (tag)
        } // while (!done)
      } catch (com.google.protobuf.InvalidProtocolBufferException e) {
        throw e.unwrapIOException();
      } finally {
        onChanged();
      } // finally
      return this;
    }
    private int bitField0_;

    private openfmb.commonmodule.StatusMessageInfo statusMessageInfo_;
    private com.google.protobuf.SingleFieldBuilderV3<
        openfmb.commonmodule.StatusMessageInfo, openfmb.commonmodule.StatusMessageInfo.Builder, openfmb.commonmodule.StatusMessageInfoOrBuilder> statusMessageInfoBuilder_;
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.StatusMessageInfo statusMessageInfo = 1 [(.uml.option_parent_message) = true];</code>
     * @return Whether the statusMessageInfo field is set.
     */
    public boolean hasStatusMessageInfo() {
      return ((bitField0_ & 0x00000001) != 0);
    }
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.StatusMessageInfo statusMessageInfo = 1 [(.uml.option_parent_message) = true];</code>
     * @return The statusMessageInfo.
     */
    public openfmb.commonmodule.StatusMessageInfo getStatusMessageInfo() {
      if (statusMessageInfoBuilder_ == null) {
        return statusMessageInfo_ == null ? openfmb.commonmodule.StatusMessageInfo.getDefaultInstance() : statusMessageInfo_;
      } else {
        return statusMessageInfoBuilder_.getMessage();
      }
    }
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.StatusMessageInfo statusMessageInfo = 1 [(.uml.option_parent_message) = true];</code>
     */
    public Builder setStatusMessageInfo(openfmb.commonmodule.StatusMessageInfo value) {
      if (statusMessageInfoBuilder_ == null) {
        if (value == null) {
          throw new NullPointerException();
        }
        statusMessageInfo_ = value;
      } else {
        statusMessageInfoBuilder_.setMessage(value);
      }
      bitField0_ |= 0x00000001;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.StatusMessageInfo statusMessageInfo = 1 [(.uml.option_parent_message) = true];</code>
     */
    public Builder setStatusMessageInfo(
        openfmb.commonmodule.StatusMessageInfo.Builder builderForValue) {
      if (statusMessageInfoBuilder_ == null) {
        statusMessageInfo_ = builderForValue.build();
      } else {
        statusMessageInfoBuilder_.setMessage(builderForValue.build());
      }
      bitField0_ |= 0x00000001;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.StatusMessageInfo statusMessageInfo = 1 [(.uml.option_parent_message) = true];</code>
     */
    public Builder mergeStatusMessageInfo(openfmb.commonmodule.StatusMessageInfo value) {
      if (statusMessageInfoBuilder_ == null) {
        if (((bitField0_ & 0x00000001) != 0) &&
          statusMessageInfo_ != null &&
          statusMessageInfo_ != openfmb.commonmodule.StatusMessageInfo.getDefaultInstance()) {
          getStatusMessageInfoBuilder().mergeFrom(value);
        } else {
          statusMessageInfo_ = value;
        }
      } else {
        statusMessageInfoBuilder_.mergeFrom(value);
      }
      bitField0_ |= 0x00000001;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.StatusMessageInfo statusMessageInfo = 1 [(.uml.option_parent_message) = true];</code>
     */
    public Builder clearStatusMessageInfo() {
      bitField0_ = (bitField0_ & ~0x00000001);
      statusMessageInfo_ = null;
      if (statusMessageInfoBuilder_ != null) {
        statusMessageInfoBuilder_.dispose();
        statusMessageInfoBuilder_ = null;
      }
      onChanged();
      return this;
    }
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.StatusMessageInfo statusMessageInfo = 1 [(.uml.option_parent_message) = true];</code>
     */
    public openfmb.commonmodule.StatusMessageInfo.Builder getStatusMessageInfoBuilder() {
      bitField0_ |= 0x00000001;
      onChanged();
      return getStatusMessageInfoFieldBuilder().getBuilder();
    }
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.StatusMessageInfo statusMessageInfo = 1 [(.uml.option_parent_message) = true];</code>
     */
    public openfmb.commonmodule.StatusMessageInfoOrBuilder getStatusMessageInfoOrBuilder() {
      if (statusMessageInfoBuilder_ != null) {
        return statusMessageInfoBuilder_.getMessageOrBuilder();
      } else {
        return statusMessageInfo_ == null ?
            openfmb.commonmodule.StatusMessageInfo.getDefaultInstance() : statusMessageInfo_;
      }
    }
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.StatusMessageInfo statusMessageInfo = 1 [(.uml.option_parent_message) = true];</code>
     */
    private com.google.protobuf.SingleFieldBuilderV3<
        openfmb.commonmodule.StatusMessageInfo, openfmb.commonmodule.StatusMessageInfo.Builder, openfmb.commonmodule.StatusMessageInfoOrBuilder> 
        getStatusMessageInfoFieldBuilder() {
      if (statusMessageInfoBuilder_ == null) {
        statusMessageInfoBuilder_ = new com.google.protobuf.SingleFieldBuilderV3<
            openfmb.commonmodule.StatusMessageInfo, openfmb.commonmodule.StatusMessageInfo.Builder, openfmb.commonmodule.StatusMessageInfoOrBuilder>(
                getStatusMessageInfo(),
                getParentForChildren(),
                isClean());
        statusMessageInfo_ = null;
      }
      return statusMessageInfoBuilder_;
    }

    private openfmb.regulatormodule.RegulatorStatus regulatorStatus_;
    private com.google.protobuf.SingleFieldBuilderV3<
        openfmb.regulatormodule.RegulatorStatus, openfmb.regulatormodule.RegulatorStatus.Builder, openfmb.regulatormodule.RegulatorStatusOrBuilder> regulatorStatusBuilder_;
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.regulatormodule.RegulatorStatus regulatorStatus = 2 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     * @return Whether the regulatorStatus field is set.
     */
    public boolean hasRegulatorStatus() {
      return ((bitField0_ & 0x00000002) != 0);
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.regulatormodule.RegulatorStatus regulatorStatus = 2 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     * @return The regulatorStatus.
     */
    public openfmb.regulatormodule.RegulatorStatus getRegulatorStatus() {
      if (regulatorStatusBuilder_ == null) {
        return regulatorStatus_ == null ? openfmb.regulatormodule.RegulatorStatus.getDefaultInstance() : regulatorStatus_;
      } else {
        return regulatorStatusBuilder_.getMessage();
      }
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.regulatormodule.RegulatorStatus regulatorStatus = 2 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     */
    public Builder setRegulatorStatus(openfmb.regulatormodule.RegulatorStatus value) {
      if (regulatorStatusBuilder_ == null) {
        if (value == null) {
          throw new NullPointerException();
        }
        regulatorStatus_ = value;
      } else {
        regulatorStatusBuilder_.setMessage(value);
      }
      bitField0_ |= 0x00000002;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.regulatormodule.RegulatorStatus regulatorStatus = 2 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     */
    public Builder setRegulatorStatus(
        openfmb.regulatormodule.RegulatorStatus.Builder builderForValue) {
      if (regulatorStatusBuilder_ == null) {
        regulatorStatus_ = builderForValue.build();
      } else {
        regulatorStatusBuilder_.setMessage(builderForValue.build());
      }
      bitField0_ |= 0x00000002;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.regulatormodule.RegulatorStatus regulatorStatus = 2 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     */
    public Builder mergeRegulatorStatus(openfmb.regulatormodule.RegulatorStatus value) {
      if (regulatorStatusBuilder_ == null) {
        if (((bitField0_ & 0x00000002) != 0) &&
          regulatorStatus_ != null &&
          regulatorStatus_ != openfmb.regulatormodule.RegulatorStatus.getDefaultInstance()) {
          getRegulatorStatusBuilder().mergeFrom(value);
        } else {
          regulatorStatus_ = value;
        }
      } else {
        regulatorStatusBuilder_.mergeFrom(value);
      }
      bitField0_ |= 0x00000002;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.regulatormodule.RegulatorStatus regulatorStatus = 2 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     */
    public Builder clearRegulatorStatus() {
      bitField0_ = (bitField0_ & ~0x00000002);
      regulatorStatus_ = null;
      if (regulatorStatusBuilder_ != null) {
        regulatorStatusBuilder_.dispose();
        regulatorStatusBuilder_ = null;
      }
      onChanged();
      return this;
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.regulatormodule.RegulatorStatus regulatorStatus = 2 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     */
    public openfmb.regulatormodule.RegulatorStatus.Builder getRegulatorStatusBuilder() {
      bitField0_ |= 0x00000002;
      onChanged();
      return getRegulatorStatusFieldBuilder().getBuilder();
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.regulatormodule.RegulatorStatus regulatorStatus = 2 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     */
    public openfmb.regulatormodule.RegulatorStatusOrBuilder getRegulatorStatusOrBuilder() {
      if (regulatorStatusBuilder_ != null) {
        return regulatorStatusBuilder_.getMessageOrBuilder();
      } else {
        return regulatorStatus_ == null ?
            openfmb.regulatormodule.RegulatorStatus.getDefaultInstance() : regulatorStatus_;
      }
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.regulatormodule.RegulatorStatus regulatorStatus = 2 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     */
    private com.google.protobuf.SingleFieldBuilderV3<
        openfmb.regulatormodule.RegulatorStatus, openfmb.regulatormodule.RegulatorStatus.Builder, openfmb.regulatormodule.RegulatorStatusOrBuilder> 
        getRegulatorStatusFieldBuilder() {
      if (regulatorStatusBuilder_ == null) {
        regulatorStatusBuilder_ = new com.google.protobuf.SingleFieldBuilderV3<
            openfmb.regulatormodule.RegulatorStatus, openfmb.regulatormodule.RegulatorStatus.Builder, openfmb.regulatormodule.RegulatorStatusOrBuilder>(
                getRegulatorStatus(),
                getParentForChildren(),
                isClean());
        regulatorStatus_ = null;
      }
      return regulatorStatusBuilder_;
    }

    private openfmb.regulatormodule.RegulatorSystem regulatorSystem_;
    private com.google.protobuf.SingleFieldBuilderV3<
        openfmb.regulatormodule.RegulatorSystem, openfmb.regulatormodule.RegulatorSystem.Builder, openfmb.regulatormodule.RegulatorSystemOrBuilder> regulatorSystemBuilder_;
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.regulatormodule.RegulatorSystem regulatorSystem = 3 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     * @return Whether the regulatorSystem field is set.
     */
    public boolean hasRegulatorSystem() {
      return ((bitField0_ & 0x00000004) != 0);
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.regulatormodule.RegulatorSystem regulatorSystem = 3 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     * @return The regulatorSystem.
     */
    public openfmb.regulatormodule.RegulatorSystem getRegulatorSystem() {
      if (regulatorSystemBuilder_ == null) {
        return regulatorSystem_ == null ? openfmb.regulatormodule.RegulatorSystem.getDefaultInstance() : regulatorSystem_;
      } else {
        return regulatorSystemBuilder_.getMessage();
      }
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.regulatormodule.RegulatorSystem regulatorSystem = 3 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     */
    public Builder setRegulatorSystem(openfmb.regulatormodule.RegulatorSystem value) {
      if (regulatorSystemBuilder_ == null) {
        if (value == null) {
          throw new NullPointerException();
        }
        regulatorSystem_ = value;
      } else {
        regulatorSystemBuilder_.setMessage(value);
      }
      bitField0_ |= 0x00000004;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.regulatormodule.RegulatorSystem regulatorSystem = 3 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     */
    public Builder setRegulatorSystem(
        openfmb.regulatormodule.RegulatorSystem.Builder builderForValue) {
      if (regulatorSystemBuilder_ == null) {
        regulatorSystem_ = builderForValue.build();
      } else {
        regulatorSystemBuilder_.setMessage(builderForValue.build());
      }
      bitField0_ |= 0x00000004;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.regulatormodule.RegulatorSystem regulatorSystem = 3 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     */
    public Builder mergeRegulatorSystem(openfmb.regulatormodule.RegulatorSystem value) {
      if (regulatorSystemBuilder_ == null) {
        if (((bitField0_ & 0x00000004) != 0) &&
          regulatorSystem_ != null &&
          regulatorSystem_ != openfmb.regulatormodule.RegulatorSystem.getDefaultInstance()) {
          getRegulatorSystemBuilder().mergeFrom(value);
        } else {
          regulatorSystem_ = value;
        }
      } else {
        regulatorSystemBuilder_.mergeFrom(value);
      }
      bitField0_ |= 0x00000004;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.regulatormodule.RegulatorSystem regulatorSystem = 3 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     */
    public Builder clearRegulatorSystem() {
      bitField0_ = (bitField0_ & ~0x00000004);
      regulatorSystem_ = null;
      if (regulatorSystemBuilder_ != null) {
        regulatorSystemBuilder_.dispose();
        regulatorSystemBuilder_ = null;
      }
      onChanged();
      return this;
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.regulatormodule.RegulatorSystem regulatorSystem = 3 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     */
    public openfmb.regulatormodule.RegulatorSystem.Builder getRegulatorSystemBuilder() {
      bitField0_ |= 0x00000004;
      onChanged();
      return getRegulatorSystemFieldBuilder().getBuilder();
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.regulatormodule.RegulatorSystem regulatorSystem = 3 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     */
    public openfmb.regulatormodule.RegulatorSystemOrBuilder getRegulatorSystemOrBuilder() {
      if (regulatorSystemBuilder_ != null) {
        return regulatorSystemBuilder_.getMessageOrBuilder();
      } else {
        return regulatorSystem_ == null ?
            openfmb.regulatormodule.RegulatorSystem.getDefaultInstance() : regulatorSystem_;
      }
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.regulatormodule.RegulatorSystem regulatorSystem = 3 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     */
    private com.google.protobuf.SingleFieldBuilderV3<
        openfmb.regulatormodule.RegulatorSystem, openfmb.regulatormodule.RegulatorSystem.Builder, openfmb.regulatormodule.RegulatorSystemOrBuilder> 
        getRegulatorSystemFieldBuilder() {
      if (regulatorSystemBuilder_ == null) {
        regulatorSystemBuilder_ = new com.google.protobuf.SingleFieldBuilderV3<
            openfmb.regulatormodule.RegulatorSystem, openfmb.regulatormodule.RegulatorSystem.Builder, openfmb.regulatormodule.RegulatorSystemOrBuilder>(
                getRegulatorSystem(),
                getParentForChildren(),
                isClean());
        regulatorSystem_ = null;
      }
      return regulatorSystemBuilder_;
    }
    @java.lang.Override
    public final Builder setUnknownFields(
        final com.google.protobuf.UnknownFieldSet unknownFields) {
      return super.setUnknownFields(unknownFields);
    }

    @java.lang.Override
    public final Builder mergeUnknownFields(
        final com.google.protobuf.UnknownFieldSet unknownFields) {
      return super.mergeUnknownFields(unknownFields);
    }


    // @@protoc_insertion_point(builder_scope:regulatormodule.RegulatorStatusProfile)
  }

  // @@protoc_insertion_point(class_scope:regulatormodule.RegulatorStatusProfile)
  private static final openfmb.regulatormodule.RegulatorStatusProfile DEFAULT_INSTANCE;
  static {
    DEFAULT_INSTANCE = new openfmb.regulatormodule.RegulatorStatusProfile();
  }

  public static openfmb.regulatormodule.RegulatorStatusProfile getDefaultInstance() {
    return DEFAULT_INSTANCE;
  }

  private static final com.google.protobuf.Parser<RegulatorStatusProfile>
      PARSER = new com.google.protobuf.AbstractParser<RegulatorStatusProfile>() {
    @java.lang.Override
    public RegulatorStatusProfile parsePartialFrom(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      Builder builder = newBuilder();
      try {
        builder.mergeFrom(input, extensionRegistry);
      } catch (com.google.protobuf.InvalidProtocolBufferException e) {
        throw e.setUnfinishedMessage(builder.buildPartial());
      } catch (com.google.protobuf.UninitializedMessageException e) {
        throw e.asInvalidProtocolBufferException().setUnfinishedMessage(builder.buildPartial());
      } catch (java.io.IOException e) {
        throw new com.google.protobuf.InvalidProtocolBufferException(e)
            .setUnfinishedMessage(builder.buildPartial());
      }
      return builder.buildPartial();
    }
  };

  public static com.google.protobuf.Parser<RegulatorStatusProfile> parser() {
    return PARSER;
  }

  @java.lang.Override
  public com.google.protobuf.Parser<RegulatorStatusProfile> getParserForType() {
    return PARSER;
  }

  @java.lang.Override
  public openfmb.regulatormodule.RegulatorStatusProfile getDefaultInstanceForType() {
    return DEFAULT_INSTANCE;
  }

}

